package com.ss.android.ugc.aweme.ml.infra;

import X.7aR;
import X.RR8;
import X.RRB;
import com.bytedance.covode.number.Covode;

public abstract class SmartDataCenterApiService implements ISmartDataCenterApiService {
    public static final RRB Companion = new RRB((byte) 0);
    public static final boolean debug = 7aR.LIZ;

    public static final boolean getDebug() {
        return debug;
    }

    public static final ISmartDataCenterApiService instance() {
        return RR8.LIZ;
    }

    static {
        Covode.recordClassIndex(93025);
    }
}
